List Messages
curl --request GET \
--url https://api.veryfront.com/conversations/{id}/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/conversations/{id}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/conversations/{id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"conversation_id": "<string>",
"seq": 123,
"parts": [
{
"type": "text",
"text": "<string>"
}
],
"created_at": "<string>",
"parent_id": "<string>",
"created_by": "<string>",
"sender_type": "user",
"sender_id": "<string>",
"sender_display_name": "<string>",
"model": "<string>",
"token_usage": {},
"finish_reason": "<string>",
"cost_credits": "<string>",
"edited_at": "<string>",
"idempotency_key": "<string>",
"metadata": {},
"updated_at": "<string>"
}
],
"page_info": {
"self": "<string>",
"first": null,
"next": "<string>",
"prev": "<string>"
}
}{
"type": "https://api.veryfront.com/errors/validation-error",
"title": "Validation Error",
"status": 400,
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}List Messages
Lists messages in a conversation.
GET
/
conversations
/
{id}
/
messages
List Messages
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
⌘I